iWin32Assistant Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iWin32Assistant Struct Reference

This interface describes actions specific to the Windows platform. More...

`#include <csutil/win32/win32.h>`

Inheritance diagram for iWin32Assistant:

List of all members.

## Public Member Functions
virtual void | AlertV (HWND window, int type, const char *title, const char *okMsg, const char *msg, va_list args)=0
| Display a nice message box.
virtual HWND | CreateCSWindow (iGraphics2D *canvas, DWORD exStyle, DWORD style, int x, int y, int w, int h)=0
| Create a new window with the default CrystalSpace window class.
virtual void | DisableConsole ()=0
| Disable the console window (if present)
virtual int | GetCmdShow () const =0
| Gets the nCmdShow of the WinMain().
virtual HINSTANCE | GetInstance () const =0
| Returns the HINSTANCE of the program.
virtual bool | GetIsActive () const =0
| Returns true if the program is 'active', false otherwise.
virtual bool | HasOwnMessageLoop ()=0
| Gets whether CS should get Messages on it's own.
virtual bool | SetCursor (int cursor)=0
| Set the mouse shape.
virtual bool | SetHCursor (HCURSOR cursor)=0
| Set the mouse shape.
virtual void | UseOwnMessageLoop (bool ownmsgloop)=0
| Sets wether CS should get Messages on it's own.

## Detailed Description

This interface describes actions specific to the Windows platform.

Remarks:
  As the name suggests, this interface provides functionality specific to the Win32 platform. It can be retrieved from the object registry via csQueryRegistry<iWin32Assistant>(), as an instance of this object will be registered with the tag `iWin32Assistant'. To ensure that code using this functionality compiles properly on all other platforms, the use of the header file should be surrounded by appropriate '#if defined(CS_PLATFORM_WIN32) ... #endif' statements.

Definition at line 45 of file win32.h.

## Member Function Documentation

virtual void iWin32Assistant::AlertV | ( | HWND | window,
|  | int | type,
|  | const char * | title,
|  | const char * | okMsg,
|  | const char * | msg,
|  | va_list | args
| ) |  | `[pure virtual]`

Display a nice message box.

Parameters:

  window | Parent window of the message box.
  type | Type of the message box, one of CS_ALERT_*.
  title | Title used for the message box.
  okMsg | Label of the "OK" button. 0 means default.
  msg | Message. Can contain cs_snprintf()-like format specifiers.
  args | Message formatting arguments

See also:
  CS_ALERT_ERROR

virtual HWND iWin32Assistant::CreateCSWindow | ( | iGraphics2D * | canvas,
|  | DWORD | exStyle,
|  | DWORD | style,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  | `[pure virtual]`

Create a new window with the default CrystalSpace window class.

canvas the canvas creating the window. This window can subsequently be subclassed if more functionality is needed.

virtual void iWin32Assistant::DisableConsole | ( |  | ) | `[pure virtual]`

Disable the console window (if present)

virtual int iWin32Assistant::GetCmdShow | ( |  | ) | const`[pure virtual]`

Gets the nCmdShow of the WinMain().

virtual HINSTANCE iWin32Assistant::GetInstance | ( |  | ) | const`[pure virtual]`

Returns the HINSTANCE of the program.

virtual bool iWin32Assistant::GetIsActive | ( |  | ) | const`[pure virtual]`

Returns true if the program is 'active', false otherwise.

virtual bool iWin32Assistant::HasOwnMessageLoop | ( |  | ) | `[pure virtual]`

Gets whether CS should get Messages on it's own.

virtual bool iWin32Assistant::SetCursor | ( | int | cursor | ) | `[pure virtual]`

Set the mouse shape.

virtual bool iWin32Assistant::SetHCursor | ( | HCURSOR | cursor | ) | `[pure virtual]`

Set the mouse shape.

virtual void iWin32Assistant::UseOwnMessageLoop | ( | bool | ownmsgloop | ) | `[pure virtual]`

Sets wether CS should get Messages on it's own.

The documentation for this struct was generated from the following file:

- csutil/win32/win32.h